InHouseIntegration

Schema

The considered APS type (download) looks as follows:

{
  "name": "InHouseIntegration",
  "id": "http://com.ingrammicro/appstore/inhouse-integration/1.0",
  "apsVersion": "2.0",
  "implements": [
    "http://aps-standard.org/abstract/types/unlimited-resource/1.0"
  ],
  "access": {
    "global": true
  },
  "operations": {
    "getAllApps": {
      "path": "/getAllApps",
      "verb": "GET",
      "response": {
        "type": "array",
        "items": {
          "type": "AppItem"
        }
      },
      "errorResponse": {
        "type": "object"
      },
      "parameters": {
        "name": {
          "kind": "query",
          "type": "string"
        },
        "limit": {
          "kind": "query",
          "type": "integer"
        },
        "offset": {
          "kind": "query",
          "type": "integer"
        }
      }
    },
    "getApp": {
      "path": "/getApp",
      "verb": "GET",
      "response": {
        "type": "AppItem"
      },
      "errorResponse": {
        "type": "object"
      },
      "parameters": {
        "appId": {
          "kind": "query",
          "type": "string"
        },
        "withProductItems": {
          "kind": "query",
          "type": "boolean"
        }
      }
    },
    "getAppItems": {
      "path": "/getAppItems",
      "verb": "GET",
      "response": {
        "type": "array",
        "items": {
          "type": "AppProductItem"
        }
      },
      "errorResponse": {
        "type": "object"
      },
      "parameters": {
        "appId": {
          "kind": "query",
          "type": "string"
        }
      }
    }
  },
  "structures": {
    "AppItem": {
      "type": "object"
    },
    "App": {
      "type": "object"
    },
    "AppProductItem": {
      "type": "object"
    }
  }
}

Custom Operations

OPERATION

VERB

PATH

RETURNS

Description

getAllApps

GET

/getAllApps

getApp

GET

/getApp

getAppItems

GET

/getAppItems

getAllApps

HTTP Request

GET /aps/2/resources/{aps-id}/getAllApps

Description

Parameters

PARAMETER

TYPE

DESCRIPTION

name

String

limit

Integer

offset

Integer

Returns

getApp

HTTP Request

GET /aps/2/resources/{aps-id}/getApp

Description

Parameters

PARAMETER

TYPE

DESCRIPTION

appId

String

withProductItems

Boolean

Returns

getAppItems

HTTP Request

GET /aps/2/resources/{aps-id}/getAppItems

Description

Parameters

PARAMETER

TYPE

DESCRIPTION

appId

String

Returns

Structures

AppItem

App

AppProductItem

Examples

Since the considered APS type contains custom operations, refer to Custom Operations for the general explanation of their structure and examples of operation calls.